Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.toolbox.arguments
Class ImageArgument

    java.lang.Object
      com.lowagie.toolbox.arguments.AbstractArgument
          com.lowagie.toolbox.arguments.ImageArgument

All Implemented Interfaces:
  ActionListener, PropertyChangeListener, EventListener

    public class ImageArgument

extends AbstractArgument

StringArgument class if the argument is a com.lowagie.text.Image.

Since:
  2.1.1 (imported from itexttoolbox project)

Field Summary
`private FileFilter` | `filter` a filter to put on the FileChooser.

Fields inherited from class com.lowagie.toolbox.arguments.AbstractArgument
`description, name, pcs, tool, value`

Constructor Summary
`ImageArgument(AbstractTool tool, String name, String description)` Constructs a FileArgument.
`ImageArgument(AbstractTool tool, String name, String description, FileFilter filter)` Constructs a FileArgument.

Method Summary
`void` | `actionPerformed(ActionEvent e)`
`Object` | `getArgument()` Gets the argument as an object.

Methods inherited from class com.lowagie.toolbox.arguments.AbstractArgument
`addPropertyChangeListener, firePropertyChange, getDescription, getName, getTool, getUsage, getValue, propertyChange, removePropertyChangeListener, setDescription, setName, setTool, setValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### filter

    private FileFilter filter

  a filter to put on the FileChooser.

Constructor Detail

### ImageArgument

    public ImageArgument(AbstractTool tool,
                         String name,
                         String description,
                         FileFilter filter)

  Constructs a FileArgument.

  Parameters:
    `tool` - the tool that needs this argument
    `name` - the name of the argument
    `description` - the description of the argument
    `filter` - a custom filter

### ImageArgument

    public ImageArgument(AbstractTool tool,
                         String name,
                         String description)

  Constructs a FileArgument.

  Parameters:
    `tool` - the tool that needs this argument
    `name` - the name of the argument
    `description` - the description of the argument

Method Detail

### getArgument

    public Object getArgument()
                       throws InstantiationException

  Gets the argument as an object.

  Overrides:
    `getArgument` in class `AbstractArgument`
  Returns:
    an object
  Throws:
    `InstantiationException`

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Specified by:
    `actionPerformed` in class `AbstractArgument`
  Parameters:
    `e` - ActionEvent
  See Also:
    `ActionListener.actionPerformed(java.awt.event.ActionEvent)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD